"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const TextArea = /*#__PURE__*/(0, _react.forwardRef)(({
  value,
  containerStyle,
  style,
  onBlur,
  onFocus,
  ...props
}, ref) => {
  const inputRef = ref ? ref : (0, _react.useRef)(null);
  const [isInitial, setIsInitial] = (0, _react.useState)(true);
  const onBlurCallback = isInitial ? () => setIsInitial(false) : onBlur;
  const onFocusCallback = isInitial ? () => inputRef && inputRef.current && inputRef.current.blur() : onFocus;
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    pointerEvents: isInitial ? 'box-only' : 'auto',
    style: [styles.style, containerStyle]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, _extends({
    ref: inputRef,
    autoFocus: isInitial,
    caretHidden: isInitial,
    multiline: true,
    selection: isInitial ? {
      start: 0,
      end: 0
    } : undefined,
    showSoftInputOnFocus: !isInitial,
    textAlignVertical: "top",
    value: value,
    style: [styles.style, style],
    onBlur: onBlurCallback,
    onFocus: onFocusCallback
  }, props)));
});

const styles = _reactNative.StyleSheet.create({
  style: {
    flex: 1
  }
});

TextArea.propTypes = {
  value: _propTypes.default.string,
  containerStyle: _propTypes.default.oneOfType([_propTypes.default.array, _propTypes.default.object]),
  style: _propTypes.default.oneOfType([_propTypes.default.array, _propTypes.default.object]),
  onBlur: _propTypes.default.func,
  onFocus: _propTypes.default.func
};
var _default = TextArea;
exports.default = _default;
//# sourceMappingURL=index.js.map