function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import PropTypes from 'prop-types';
import React, { forwardRef, useRef, useState } from 'react';
import { StyleSheet, TextInput, View } from 'react-native';
const TextArea = /*#__PURE__*/forwardRef(({
  value,
  containerStyle,
  style,
  onBlur,
  onFocus,
  ...props
}, ref) => {
  const inputRef = ref ? ref : useRef(null);
  const [isInitial, setIsInitial] = useState(true);
  const onBlurCallback = isInitial ? () => setIsInitial(false) : onBlur;
  const onFocusCallback = isInitial ? () => inputRef && inputRef.current && inputRef.current.blur() : onFocus;
  return /*#__PURE__*/React.createElement(View, {
    pointerEvents: isInitial ? 'box-only' : 'auto',
    style: [styles.style, containerStyle]
  }, /*#__PURE__*/React.createElement(TextInput, _extends({
    ref: inputRef,
    autoFocus: isInitial,
    caretHidden: isInitial,
    multiline: true,
    selection: isInitial ? {
      start: 0,
      end: 0
    } : undefined,
    showSoftInputOnFocus: !isInitial,
    textAlignVertical: "top",
    value: value,
    style: [styles.style, style],
    onBlur: onBlurCallback,
    onFocus: onFocusCallback
  }, props)));
});
const styles = StyleSheet.create({
  style: {
    flex: 1
  }
});
TextArea.propTypes = {
  value: PropTypes.string,
  containerStyle: PropTypes.oneOfType([PropTypes.array, PropTypes.object]),
  style: PropTypes.oneOfType([PropTypes.array, PropTypes.object]),
  onBlur: PropTypes.func,
  onFocus: PropTypes.func
};
export default TextArea;
//# sourceMappingURL=index.js.map